PizzaDjango/urls.py
from django.contrib import admin
from django.urls import path, include

urlpatterns = [
    path('appweb/', include('main.urls')),
    path('admin/', admin.site.urls),
    path('menu/', include('menu.urls')),
    path('', include('main.urls')),

]

main/urls.py
from re import I
from unicodedata import name
from django.urls import path
from .import views
app_name = 'main'
urlpatterns = [
    path('', views.index, name='index'),
    # path('appweb/', views.index, name='appweb'),
]

menu/urls.py
from django.urls import path
from .import views
app_name = 'menu'
urlpatterns = [
    path('', views.index, name='index'),
    # path('appweb', views.index, name='appweb'),
]

main/models.py
from django.db import models

# Create your models here.

menu/models.py
from django.db import models


class Pizza(models.Model):
    nom = models.CharField(max_length=200)
    ingredients = models.CharField(max_length=400)
    prix = models.FloatField(default=0)
    vegetarienne = models.BooleanField(default=False)
    
    def __str__(self):
        return self.nom
    
    
    
    

main/views.py
from django.shortcuts import render


# Create your views here.
def index(request):
    return render(request, 'main/index.html')

menu/views.py
from django.shortcuts import render
from django.http import HttpResponse
from .models import Pizza

# Create your views here.


def index(request):
    pizzas = Pizza.objects.all().order_by('prix')
    # pizzas_name_price = [pizza.nom + " à " + str(pizza.prix) + "€ " for pizza in pizzas]
    # pizza_price = [pizza.prix for pizza in pizzas]
    # pizzas_name_price_str = ', '.join(pizzas_name_price)    
    # return HttpResponse("Les pizzas : " + pizzas_name_price_str)
    return render(request, 'menu/index.html', {'pizzas': Pizza.objects.all().order_by('prix')})

main/templates/main/index.html
{% load static %}
<html lang="fr">
<head>
    <meta charset="UTF-8">
    <title>Menu des Pizzas</title>
    <link rel="stylesheet" href="{% static 'main/style.css' %}">
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.2.0-beta1/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-0evHe/X+R7YkIZDRvuzKMRqM+OrBnVFBL6DOitfPri4tjfHxaWutUpFmBp4vmVor" crossorigin="anonymous">

</head>
<body>
    
    <div class="logo">
        <img src="{% static 'main/image/main_logo.png' %}" alt="logo">
        
    </div>
    <div id="lien">
        <a href="{% url 'menu:index' %}">Les Menus</a>
    </div>
    
</body>
</html>

menu/templates/menu/index.html
{% load static %}

<html lang="fr">
<head>
    <meta charset="UTF-8">
    <title>Menu des Pizzas</title>
    <link rel="stylesheet" href="{% static 'menu/style.css' %}">
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.2.0-beta1/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-0evHe/X+R7YkIZDRvuzKMRqM+OrBnVFBL6DOitfPri4tjfHxaWutUpFmBp4vmVor" crossorigin="anonymous">

</head>
<body>
    <a href="{% url 'main:index' %}"><img id="logo" src="{% static 'menu/image/small_logo.png' %}" alt="pizza"></a>
    <div class="menu_title">
        <h1>Les pizzas</h1>
    </div>
    <div class="menu_list">
        {%for pizza in pizzas%}
        <div class="menu_list_item"> 
            <span class="menu_list_title">{{pizza.nom}} </span>
            <span class="pizza_prix"> {{pizza.prix | floatformat:2}} € </span>
            <span class="menu_list_ingredients">Ingrédients : {{pizza.ingredients}} </span>
        {% if pizza.vegetarienne %}
            <span class="menu_list_vegetarienne">Végétarienne</span>
        {% endif %}
        </div>
        {%endfor%}
    </div>
</body>
</html>